/*
 * Class EV_CONTAINABLE
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1001 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1001 [] = {0xFF01,1551,1000,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1001 [] = {0xFF01,1000,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1001 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1001 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1001 [] = {0xFF01,1000,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1001 [] = {0xFF01,1000,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1001 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1001 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1001 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1001 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1001 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1001 [] = {0xFF01,1000,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1001 [] = {0xFF01,1123,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1001 [] = {0xFF01,1141,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1001 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1001 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1001 [] = {0xFF01,924,0xFFFF};


static const struct desc_info desc_1001[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1001), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1001), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1001), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24205, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1001), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1001), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1001), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1001), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1001), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1001), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1001), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1001), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1001), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24213, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x07D1 /*1000*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1001), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 24214, 0},
	{EIF_GENERIC(NULL), 24215, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24200, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24201, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1001), 24202, 4},
	{EIF_GENERIC(NULL), 24203, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24204, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24206, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1001), 24207, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 24208, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24209, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24210, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24211, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x07D1 /*1000*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1001), 24518, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1001), 24519, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1001), 24520, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24521, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24522, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24523, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 24524, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0739 /*924*/), 24525, 8},
};
void Init1001(void)
{
	IDSC(desc_1001, 0, 1000);
	IDSC(desc_1001 + 1, 1, 1000);
	IDSC(desc_1001 + 32, 1593, 1000);
	IDSC(desc_1001 + 47, 162, 1000);
}


#ifdef __cplusplus
}
#endif
